Subject: bug#61350: Eglot over Tramp freezes with large project

From: João Távora <[email-masked]>
Date: Wed, 1 Mar 2023 16:19:52 +0000

On Wed, Mar 1, 2023, 14:08 João Távora <[email-masked]> wrote:

> in Tramp scenarios it is being
> fed data from tprocess, which is the process connected to the remote
> host.  In tprocess, other things, such as shell interactions are going
> on.
>
> Michael can probably confirm, correct or deny this.
>

In the mean time, someone reached out to me to point out this is the wrong
model for how things work in this scenario, particularly in the relation
between jprocess and tprocess. That may very well be. I'm very sure those
two processes exist, but they don't share data like that.

João